clear all;
close all;
clc;

%% Initial value

% The functions
f = {@(x)(0.5*((6*x - 2).^2).*sin(12.*x - 4) + 10.*(x - 0.5));
    @(x)( ((6*x - 2).^2).*sin(12.*x - 4) + 10)};
nb_lev = length(f);

% Input domain
bnd = [0; 1];


% The critical threshold
thres = 10;

% Real function
x = linspace(bnd(1), bnd(2), 978);
y = linspace(bnd(1), bnd(2), 0);

%%
color_lev = [0, 0, 0.5;
    0.5, 0, 0;
    0.5, 0, 0.5];
markers = {'o', 's', 'd', 'v', 'p', 'h', 'x', '+'};


ftz_axi = 20;
ftz_lab = 24;
ftz_tit = 28;

%% Plot real data

stk_figure();
% Functions
hold off;
for kl = nb_lev:-1:1
    % The true function
    plot(x, f{kl}(x), 'LineWidth', 2, 'Color', color_lev(kl, :), 'LineStyle', '-');
    hold on;
     % The true function
    plot(y, f{kl}(y), 'Color', color_lev(kl, :), 'LineStyle', 'none',...
        'Marker', markers{kl}, 'MarkerFaceColor', color_lev(kl, :));
    if kl == nb_lev
        % Threshold
        plot(bnd, repmat(thres, 2, 1), '--', 'LineWidth', 1, 'Color', 'k');
    end
    
end
xlim(bnd);
set(gca, 'FontSize', ftz_axi, 'XTick', 0:0.2:1);
stk_xlabel('x', 'FontSize', ftz_lab);
stk_ylabel('z', 'FontSize', ftz_lab);
stk_title('Les deux fonctions tudies', 'FontSize', ftz_tit);