% This file configures the data to fit.
% Allow to have the same data with example_haario and example_SMC

%% Clear the workspace/Load STK
clear all;
%close all;
%clc;
stk_init;

%% Inputs data
% Function
f = @(x, n)(stk_testfun_twobumps(x) + n*randn(size(x)));
bnd = stk_hrect([-1; 1], {'x'});
dim = size(bnd, 2);

% Noise
sig_noise = 0.2;
is_noise  = (sig_noise ~= 0);
fobs = @(x)(f(x, sig_noise));

% The real function
nt = 144;
xt = stk_sampling_regulargrid(nt, dim, bnd);
zt = stk_dataframe(f(xt, 0), {'f(x)'});
range_z = 1;

% Some observations
ni = 8;
xi = stk_sampling_maximinlhs(ni, dim, bnd);
zi = stk_dataframe(fobs(xi), {'z'});

% Number of sampled parameters
nb_param = 500;
nd = 289;   % Number of points to plot the density of simulated parameters

% Covariance of the model
covariance = @stk_materncov_aniso;