% CALL : value = get (promo, propname)
%
% Return a property of a STK_PROTOMODEL.
% Propname can be 'func', 'param' or 'prior'.
function value = get (promo, propname)

switch propname
    case 'func'
        value = promo.func;
    case 'param'
        value = promo.param;
    case 'prior'
        value = promo.prior;
    otherwise
        if ischar(propname)
            stk_error(['A stk_protomodel does not have any property named ',...
                propname], 'UnknownField');
        else
            stk_error('''propname'' must be a char.', 'InvalidArgument');
        end
end
end

