% CALL : noimo = stk_noisemodel(func, param, prior)
%
% The constructor of the class noise variance model.
% - func : a function handle, or a char, or a class,
% which is the noise variance function.
% Must support the inputs : feval(func, param, xi, diff);
% - param : parameter of the noise variance;
% - prior : the prior distribution.
function noimo = stk_noisemodel(func, param, prior)

% Default values
switch nargin
    case 0
        func = 'stk_noisecov';
        param = NaN(1, 1);
        prior = [];
    case 1
        param = [];
        prior = [];
    case 2
        prior = [];
    case 3
        % do nothing
    otherwise
        stk_error('Too many input arguments', 'TooManyInputArgs');
end

%% Build object
noimo = struct();
noimo = class(noimo, 'stk_noisemodel', stk_protomodel(func, param, prior));

end

