% CALL : param = stk_set_optimizable_parameters (vector, param)
%
% Used by subsagn, this functions allows to build different parameters from
% a vector.
function param = stk_set_optimizable_parameters (param, value)

if ~ isnumeric (value)
    
    % BLINDLY extract optimizable parameters,
    % assuming that value is an object of an appropriate type
    value = stk_get_optimizable_parameters (value);
    
    % FIXME: implement stk_set_optimizable_parameters for each parameter class
    
    if nargin > 2
        stk_error (['The ''select'' argument is not ' ...
            'supported when value is an object.'], 'SyntaxError');
    end
end

[name_fields, cumlength_fields, total_lenght] = optimizable_fields (param);

if total_lenght ~= length(value)
    stk_error(['The length of new parameter vector (', num2str(length(value)),...
        ') does not match the number of parameters (', num2str(total_lenght),').'],...
        'InvalidArgument');
end

for kf = 1:length(name_fields)
    param = set(param, name_fields{kf, 1},...
        value( (cumlength_fields(kf) + 1):(cumlength_fields(kf + 1)) ) );
end

end % function