% CALL : [name_optim_fields, cumlength_optim_fields, total_lenght] =
%       optimizable_fields(ar_cov)
% [overload stk_param function]
function [name_optim_fields, cumlength_optim_fields, total_lenght] =...
    optimizable_fields(ar_cov)

persistent class_list0 lenght_list0 name_optim_fields0 cumlength_optim_fields0 total_lenght0

params = ar_cov.params;
class_list = cellfun(@class, params, 'UniformOutput', false);
lenght_list = cellfun(@length, params);

if isempty(class_list0) || isempty(lenght_list0)...
        || ~isequal(class_list0, class_list) || ~isequal(lenght_list0, lenght_list)
    % I suppose that 2 parameters with the same class and the same length
    % are compatible (have the same fields and the same number of
    % optimizable parameters per fields)
    
    catLet = @(string, figure)(strcat(string, '_', num2str(figure)));
    
    name_optim_fields0 = {'rhoCoeff'};
    cumlength_optim_fields0 = [0; length(ar_cov.rhoCoeff)];
    
    for k = 1:length(params)
        [name_k, cumlength_k] = optimizable_fields(params{k});
        
        name_k = catLet(name_k, k);
        
        name_optim_fields0 = cat(1, name_optim_fields0, name_k);
        cumlength_optim_fields0 = cat(1, cumlength_optim_fields0,...
            cumlength_optim_fields0(end) + cumlength_k(2:end));
    end
    total_lenght0 = cumlength_optim_fields0(end);
    
    
    class_list0  = class_list;
    lenght_list0 = lenght_list;
end

name_optim_fields = name_optim_fields0;
cumlength_optim_fields = cumlength_optim_fields0;
total_lenght = total_lenght0;

end
