% CALL : value = get (par_iso, propname)
% [overload stk_param function]
function value = get (par_iso, propname)

switch propname
    case 'logsig2'
        value = par_iso.logsig2;
    case 'logacc'
        value = par_iso.logacc;
        
        %% Other value you are allowed to get directly
    case 'sig2'
        value = exp(par_iso.logsig2);
    case 'acc'
        value = exp(par_iso.logacc);
    case 'logsig'
        value = 0.5*par_iso.logsig2;
    case 'sig'
        value = exp(0.5*par_iso.logsig2);
        % sqrt{exp(lv)} = exp(0.5*lv)
    case 'logrange'
        value = -par_iso.logacc;
    case 'range'
        value = exp(-par_iso.logacc);
        % 1/exp(la) = exp(-la)
        
    otherwise
        stk_error(['An isotropic parameter does not have any property',...
            ' whose name is ', propname, '.'], 'UnknownField');
end

end