% CALL : fields = fieldnames(mf_cov)
% [overload stk_param function]
function fields = fieldnames(mf_cov)

catLet = @(string, letter)(cat(2, string, letter));
non_uni = {'UniformOutput', false};

% Get the inside parameters, add a letter at the end
fieldsI = cellfun(@(x)(catLet(x, '0')), fieldnames(mf_cov.param_Ideal), non_uni{:});
fieldsE = cellfun(@(x)(catLet(x, 'E')), fieldnames(mf_cov.param_Error), non_uni{:});
fieldsL = cellfun(@(x)(catLet(x, 'L')), fieldnames(mf_cov.param_Level), non_uni{:});

% Concat fields
fields = [fieldsI; fieldsE; fieldsL];

%% Change the name of fields
willingFields = {'logsig20', 'logsig2';
    'logsig2E', 'logESR';
    'logdegrL', 'logdegr';
    'interceptL', 'intercept';};

fields( ismember(fields, willingFields(:, 1)) ) = willingFields(:, 2);

% remove a field
fields(strcmp(fields, 'logsig2L')) = '';

end

