% CALL : [lb, ub] = stk_param_getdefaultbounds(mf_cov, xi, zi)
% [overload stk_param function]
function [lb, ub] = stk_param_getdefaultbounds(mf_cov, xi, zi)

if nargin > 3
    stk_error('Too many input arguments.', 'TooManyInputArgs');
end

%% Find bounds of parameters
dim = size(xi, 2);
if dim < 2
    stk_error('xi must have at least 2 columns', 'IncorrectSize');
end
xi_x = xi(:, 1:(dim - 1));
xi_l = xi(:, dim);

[lb_I, ub_I] = stk_param_getdefaultbounds(mf_cov.param_Ideal, xi_x, zi);
[lb_E, ub_E] = stk_param_getdefaultbounds(mf_cov.param_Error, xi_x, zi);
[lb_L, ub_L] = stk_param_getdefaultbounds(mf_cov.param_Level, xi_l, zi);

if isfield(mf_cov.param_Level, 'logsig2')
    % remove a field, if it exists
    ind = find_numb(mf_cov.param_Level, 'logsig2');
    lb_L(ind) = [];
    ub_L(ind) = [];
end

lb = [lb_I; lb_E; lb_L];
ub = [ub_I; ub_E; ub_L];

end

