% CALL : covmo_mat32iso = stk_covmodel_matern32iso()
%
% Create a covariance model with a Matern 3/2 isotropic covariance function.
function covmo_mat32iso = stk_covmodel_matern32iso()

%% function
reg = 3/2;
logreg = log(reg);
%% Create the covariance model
covmo_mat32iso = stk_covmodel_materniso(reg);

%% Prior
meanVect = [zeros(2, 1); logreg];
varVect  = [ +Inf(2, 1); 0];
prior = stk_prior_gauss(meanVect, varVect);
covmo_mat32iso.prior = prior;
end