% CALL : logsigma2 = stk_get_log_sigma2(cov_param)
%
% This function should return a value of log(s^2), where s^2 is the
% variance at 0 of the covariance.
% If the covariance k is stationnary (k(x, y) = c(x - y)), then s^2 = c(0).
% Otherwise, s^2 is a kind of "mean value" of k(x, x).
function logsigma2 = stk_get_log_sigma2(cov_param)

% Backward compatibility : covparam is a vector of covariance parameters.

logsigma2 = cov_param(1);

end

